# Uses of Interface
org.apache.sling.feature.launcher.spi.LauncherRunContext

Packages that use LauncherRunContext
Package
Description
org.apache.sling.feature.launcher.impl.launchers
org.apache.sling.feature.launcher.spi
org.apache.sling.feature.launcher.spi.extensions

## Uses of LauncherRunContext in org.apache.sling.feature.launcher.impl.launchers

Methods in org.apache.sling.feature.launcher.impl.launchers with parameters of type LauncherRunContext
Modifier and Type
Method
Description
`int`
FrameworkLauncher.`run(LauncherRunContext context, ClassLoader cl)`
Run the launcher

## Uses of LauncherRunContext in org.apache.sling.feature.launcher.spi

Methods in org.apache.sling.feature.launcher.spi with parameters of type LauncherRunContext
Modifier and Type
Method
Description
`int`
Launcher.`run(LauncherRunContext context, ClassLoader cl)`

## Uses of LauncherRunContext in org.apache.sling.feature.launcher.spi.extensions

Subinterfaces of LauncherRunContext in org.apache.sling.feature.launcher.spi.extensions
Modifier and Type
Interface
Description
`interface`
`ExtensionContext`
This context object is provided to launcher extensions.